Problems activating your account? Send notification email to: admin@post4vps.com
Host4Fun Budget VPS Hosting
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
apache 2 problem
#1
Hi experts. i need urgent help. while installation of apache2 with the following command
apt-get install apache2
i got this error.
:~# apt-get install apache2
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
apache2 : Depends: apache2-bin (= 2.4.37-1) but 2.4.25-3+deb9u5 is to be installed
E: Unable to correct problems, you have held broken packages.
Please sort out this error how to fix it?

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#2
Try It
```
apt-get autoremove apache2
apt-get purge apache2
apt purge apache2
apt autoremove apache2
```
And
apt-get install apache2
Thank To Hostlease And Post4Vps For VPS15
-------------------------------------------------------------------------
Art
Reply
#3
(01-02-2019, 09:10 AM)chanalku91 Wrote:  Try It
apt-get autoremove apache2
apt-get purge apache2
apt purge apache2
apt autoremove apache2
And
apt-get install apache2

Wow. installed. but stuck at next steps.

:~# apt-get install php
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php

and when try to install php 7

:~# apt-get install php7.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php7.0
E: Couldn't find any package by glob 'php7.0'
E: Couldn't find any package by regex 'php7.0'


please make this fix

Heart LOVE FOR ALL  HATRED FOR NONE Heart
Reply
#4
(01-02-2019, 09:21 AM)sagher Wrote:  Wow. installed. but stuck at next steps.

:~# apt-get install php
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php

and when try to install php 7

:~# apt-get install php7.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php7.0
E: Couldn't find any package by glob 'php7.0'
E: Couldn't find any package by regex 'php7.0'


please make this fix
Try apt-get update first . If it doesnt help you probably need to manually add php7.0 repository . Some older linux distro doesnt have php7.0 in their repository
Terminal
humanpuff69@FPAX:~$ Thanks To Shadow Hosting And Post4VPS for VPS 5
Reply
#5
Here are the commands you can follow to get PHP7 installed.

sudo apt-get install python-software-properties software-properties-common
sudo LC_ALL=C.UTF-8 add-apt-repository ppa:ondrej/php
sudo apt-get update

Now you've to purge all the operations and cache proceeded by PHP5 from your machine by following command :-
sudo apt-get remove php5-common -y
OR
sudo apt-get purge php5-common -y

Now begin installation of PHP7 with the following command. This includes all required and essential packages for PHP7.
sudo apt-get install php7.0 php7.0-fpm php7.0-mysql -y

If that doesn't work, use this.
sudo apt-get install php7.0



If the error continues, use the following command in order to get the latest PHP modules loaded in your source list.
sudo apt-add-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install php7.0
.

Thank you,
Manal Shaikh.
Reply
#6
Please make sure that u used
apt-get update
apt-get upgrade
sudo apt install apache2
Chrck this link https://help.ubuntu.com/lts/serverguide/httpd.html
Gimme +rep Heart
[Image: img.php?userid=496]
Thanks For Post4VPS and Virmach for the amazing VPS 9
Reply
#7
Sorry I only use php7.2 for the php problem!

LC_ALL=C.UTF-8 add-apt-repository -y ppa:ondrej/php
apt-get update
apt-get install php7.2
Thank To Hostlease And Post4Vps For VPS15
-------------------------------------------------------------------------
Art
Reply
 


Possibly Related Threads...
Thread Author Replies Views Last Post
  Open game panel problem youssefbasha 18 336 04-28-2019, 11:51 AM
Last Post: youssefbasha
Exclamation VPS 1 problem chanalku91 12 422 02-22-2019, 07:28 AM
Last Post: deanhills
Thumbs Up How Can I Install PHP and APACHE on my VPS(Windows or Linux)? Amresh 11 734 08-25-2018, 10:08 AM
Last Post: humanpuff69
  apt-get update and apt-get upgrade problem youssefbasha 28 3,209 07-16-2018, 11:20 AM
Last Post: youssefbasha
  i have a problem. OldMeister 7 2,561 09-11-2017, 02:38 PM
Last Post: TrK

Forum Jump:


Users browsing this thread: 1 Guest(s)

Sponsors: VirMach - Host4Fun - CubeData - Evolution-Host - HostDare - SSDBlaze - VPSlices - Abc-Hosters - Hyper Expert - Shadow Hosting - Bladenode - HostDoc - Hostlease


About Post4VPS

Post4VPS is a forum/destiny where you can Delploy Your Free VPSs just by the Power of Posts.

We Provide VPSs of many locations like Germany,US,Canada,France,London,etc.

We also Provide VPSs of Both Linux and Windows OS.